<nav class="navbar"
     [ngClass]="{'navbar-inverse': changeTheme,
                 'navbar-default': !changeTheme}">
  <div class="container-fluid">

    <ul class="nav navbar-nav">
      <li routerLinkActive="active">
        <a routerLink="books">
          <span class="glyphicon glyphicon-book"></span>
          Livres
        </a>
      </li>
    </ul>

    <ul class="nav navbar-nav navbar-center">
      <li>
        <a routerLink="books">
          <h1>{{ appTitle | uppercase }}</h1>
        </a>
      </li>
    </ul>

    <ul class="nav navbar-nav navbar-right">

      <li>
        <a disabled="true" *ngIf="isAuth">Connecté en tant que : {{ email }}</a>
      </li>

      <li>
        <a (click)="onChangeTheme()">
          <mat-icon *ngIf="changeTheme">wb_sunny</mat-icon>
          <mat-icon *ngIf="!changeTheme">brightness_3</mat-icon>
        </a>
      </li>

      <li routerLinkActive="active" *ngIf="!isAuth">
        <a routerLink="auth/signup">
          <span class="glyphicon glyphicon-pencil"></span>
          Créer un compte</a>
      </li>
      <li routerLinkActive="active" *ngIf="!isAuth">
        <a routerLink="auth/signin">
          <span class="glyphicon glyphicon-user"></span>
          Connexion</a>
      </li>
      <li *ngIf="isAuth">
        <a (click)="onSignOut()" style="cursor: pointer">
          <span class="glyphicon glyphicon-off"
                [ngClass]="{'text-danger': !changeTheme}"></span>

          <span [ngClass]="{'text-danger': !changeTheme}">
            Déconnexion
          </span>
        </a>
      </li>
    </ul>
  </div>
</nav>
